﻿Public Class clsArrayReverse
    Public Sub Main()


        '****************************************************************************************
        '
        ' Purpose: Reverses the order of elements in an array
        '
        ' Syntax: 	arrayname.Reverse
        '
        ' Result: array - contains a set of elements in the array in reverse order
        '
        ' Quick Example: Dim aryAuthors(2) As String
        ' aryAuthors(0) = "Plato"
        ' aryAuthors(1) = "Aristotle"
        ' aryAuthors(2) = "Hume"
        ' Array.Reverse(aryAuthors)
        '
        '****************************************************************************************
        ' This example is from http://idealprogrammer.com

        '****************************************************************************************
        Console.WriteLine("Example #1: Dim aryAuthors(2) As String")
        '****************************************************************************************

        Dim aryAuthors(2) As String
        ' we start with elements in alphabetical order and then reverse
        aryAuthors(0) = "Aristotle"
        aryAuthors(1) = "Hume"
        aryAuthors(2) = "Plato"
        Array.Reverse(aryAuthors)

        

        For Each myElement In aryAuthors
            Console.WriteLine(myElement) ' Returns elements in reverse
        Next



       


        'Prevent console from closing before you press enter
        Console.ReadLine()

    End Sub

End Class


