﻿Public Class clsCDate

    Public Sub Main()


        '****************************************************************************************
        ' Purpose: Converts any valid date and time into date data type
        '
        ' Syntax: 	CDate(expression)
        '
        ' Parameter1: expression - any valid representation of date and time
        '
        ' Result: date - returns date
        '
        '
        '****************************************************************************************
        ' This example is from http://idealprogrammer.com

        Console.WriteLine("Example #1: 	CDate(expression)")

        Dim date1 As Date = CDate("September 12, 2011")

        Console.WriteLine(date1) ' Returns 9/12/2011 12:00:00 AM


        'write blank line to make output easier to read
        Console.WriteLine()

        Console.WriteLine("Example #2: 	CDate(expression)")

        Dim date2 As Date = CDate("3:08:40 PM")

        Console.WriteLine(date2) ' Returns 1/1/0001 3:08:40 PM

        'write blank line to make output easier to read
        Console.WriteLine()

        Console.WriteLine("Example #3: 	CDate(expression)")

        Dim date3 As Date = CDate("September 12, 2011 3:08:40 PM")

        Console.WriteLine(CDate(date3)) ' Returns September 12, 2011 3:08:40 PM

        'Prevent console from closing before you press enter
        Console.ReadLine()

    End Sub

End Class

