﻿Public Class clsCDbl

    Public Sub Main()


        '****************************************************************************************
        ' Purpose: Converts positive and negative numbers into double data type
        '
        ' Syntax: 	CDbl(expression)
        '
        ' Parameter1: expression - -1.79769313486231570E+308 through 
        ' -4.94065645841246544E-324 for negative values; 
        ' 4.94065645841246544E-324 through 
        ' 1.79769313486231570E+308 for positive values.
        '
        ' Result: double - double precision floating point number
        '
        '
        '****************************************************************************************
        ' This example is from http://idealprogrammer.com

        Console.WriteLine("Example #1: 	CDbl(expression)")

        Dim double1 As Double = CDbl(1.33)

        Console.WriteLine(double1) ' Returns 1.33

        'write blank line to make output easier to read
        Console.WriteLine()

        Console.WriteLine("Example #2: 	CDbl(expression)")

        Dim Double2 As Double = CDbl(-3.4)

        Console.WriteLine(Double2) ' Returns -3.4
        'write blank line to make output easier to read
        Console.WriteLine()

        Console.WriteLine("Example #3: 	CDbl(expression)")

        Dim Double3 As Double = CDbl(5)

        Console.WriteLine(CDbl(Double3)) ' Returns 5

        'Prevent console from closing before you press enter
        Console.ReadLine()

    End Sub

End Class

