﻿Public Class clsCLng

    Public Sub Main()


        '****************************************************************************************
        ' Purpose: Converts positive and negative numbers into Long data type
        '
        ' Syntax: 	CLng(expression)
        '
        ' Parameter1: expression - -9,223,372,036,854,775,808 through 9,223,372,036,854,775,807; fractional parts are rounded.
        '
        ' Result: Long - returns 64-bit (8-byte) integers 
        '
        '
        '****************************************************************************************
        ' This example is from http://idealprogrammer.com

        Console.WriteLine("Example #1: 	CLng(expression)")

        Dim Long1 As Long = CLng(1.33)

        Console.WriteLine(Long1) ' Returns 1

        'write blank line to make output easier to read
        Console.WriteLine()

        Console.WriteLine("Example #2: 	CLng(expression)")

        Dim Long2 As Long = CLng(-3.4)

        Console.WriteLine(Long2) ' Returns -3
        'write blank line to make output easier to read
        Console.WriteLine()

        Console.WriteLine("Example #3: 	CLng(expression)")

        Dim Long3 As Long = CLng(5.5)

        Console.WriteLine(CLng(Long3)) ' Returns 6

        'Prevent console from closing before you press enter
        Console.ReadLine()

    End Sub

End Class

