﻿Imports System.Math
Public Class clsAsin

    Public Sub Main()


        '********************************************************************************
        ' Purpose: takes a double data type number that represents a sine and 
        ' returns a double value that represents the angle of that sine when
        ' measured in radians. (you can convert the radians to degrees by 
        ' multiplying them by Math.PI/180) 
        ' 
        ' Syntax: 	Asin(double)
        '
        ' Parameter1: double - The expression represents a sine that is 
        ' to be converted into radians of an angle. Any 
        ' valid System.Double data type number between -1 and +1 
        ' if number < -1 or > 1, NaN is returned - NaN stands for Not a Number
        '
        ' Result: double - represents the radians of the angle of the sine 
        ' that was specified as the input parameter.
        '
        ' Quick Example: Asin(0.5) ' Returns .523598775598299
        '
        '
        '********************************************************************************
        ' This example is from http://idealprogrammer.com

        Console.WriteLine("Example #1: 	Asin(90)")

            Console.WriteLine(Asin(90)) ' Returns NaN

            'write blank line to make output easier to read
            Console.WriteLine()

        Console.WriteLine("Example #2: 	Asin(-3.4)")

            Console.WriteLine(Asin(-3.4)) ' Returns NaN
            'write blank line to make output easier to read
            Console.WriteLine()

        Console.WriteLine("Example #3: 	Asin(0.5)")



            Console.WriteLine(Asin(0.5)) ' Returns .523598775598299

            'Prevent console from closing before you press enter
            Console.ReadLine()

    End Sub

End Class

