﻿Imports System.Math
Public Class clsLog10

    Public Sub Main()


        '********************************************************************************
        ' Purpose: takes a double data type number and returns the base 10
        ' logarithm as a double data type.
        ' 
        '
        ' Syntax: 	Log10(doublenumber)
        '  
        ' Parameter1: doublenumber - Any valid System.Double data type number
        ' 1. Positive - returns base 10 logarithm of the input parameter
        ' 2. Zero - returns -Negative Infinity
        ' 3. Negative - returns NaN (Not a Number)
        '
        ' Result: double - returns the base 10 logarithm of the input parameter
        '
        ' Quick Example: Log10(100) ' Returns 2
        '
        '********************************************************************************
        ' This example is from http://idealprogrammer.com

        Console.WriteLine("Example #1: 	Log10(doublenumber)")

        Console.WriteLine("Log10(100) = {0}", Log10(100)) ' Returns 2

        'write blank line to make output easier to read
        Console.WriteLine()

        Console.WriteLine("Example #2: 	Log10(doublenumber)")

        Console.WriteLine("Log10(1000) = {0}", Log10(1000)) ' Returns 3
        'write blank line to make output easier to read
        Console.WriteLine()

        Console.WriteLine("Example #3: 	Log10(doublenumber)")



        Console.WriteLine("Log10(0) = {0}", Log10(0)) ' Returns -Infinity

        'Prevent console from closing before you press enter
        Console.ReadLine()

    End Sub

End Class

