﻿Public Class clsJoin

    Public Sub Main()


        '****************************************************************************************
        ' Example #1: 	Join(SourceArray(), Delimiter)
        ' Returns a string created by joining a number of substrings contained in an array.
        ' SourceArray - One-dimensional array containing substrings to be joined.
        ' Delimiter - Optional. Any string, used to separate the substrings in the returned string.
        ' If omitted, the space character (" ") is used. 
        ' If Delimiter is a zero-length string ("") or Nothing, all items in the list are concatenated 
        ' with no delimiters.
        ' Return Value - Returns a string created by joining a number of substrings contained in an array.
        '****************************************************************************************

        Console.WriteLine("Example #1: 	Join(String(), String) ")

        Dim arrayJoinExample() As String = {"Apples", "Oranges", "Strawberries"}

        ' Return Uppercase
        Console.WriteLine(Join(arrayJoinExample, "!")) 'Returns Apples!Oranges!Strawberries

        'write blank line to make output easier to read
        Console.WriteLine()



        'Prevent console from closing before you press enter
        Console.ReadLine()

    End Sub


End Class
