﻿Public Class clsStrConv

    Public Sub Main()


        '****************************************************************************************
        ' Example #1: 	StrConv(string1,conversion,LocalId) - returns string converted as specified
        ' string1 - Required. String expression to be converted.
        ' conversion - Required. VbStrConv member. The enumeration value specifying the type of 
        '   conversion to perform.
        ' LocalId - Optional. The LocaleID value, if different from the system LocaleID value. 
        ' (The system LocaleID value is the default.)
        ' 
        ' Enumeration(member)         Description()
        ' VbStrConv.None()            Performs no conversion
        ' VbStrConv.LinguisticCasing() Uses linguistic rules for casing, rather than File System 
        ' (default). Valid with VbStrConv.UpperCase and VbStrConv.LowerCase only.
        ' VbStrConv.Uppercase()       Converts the string to uppercase characters.
        ' VbStrConv.Lowercase()       Converts the string to lowercase characters.
        ' VbStrConv.ProperCase()      Converts the first letter of every word in string to uppercase.
        ' VbStrConv.Wide*              Converts narrow (half-width) characters in the string to wide
        '  (full-width) characters.
        ' VbStrConv.Narrow*            Converts wide (full-width) characters in the string to narrow 
        ' (half-width) characters.
        ' VbStrConv.Katakana**          Converts Hiragana characters in the string to Katakana characters.
        ' VbStrConv.Hiragana**          Converts Katakana characters in the string to Hiragana characters.
        ' VbStrConv.SimplifiedChinese* Converts Traditional Chinese characters to Simplified Chinese.
        ' VbStrConv.TraditionalChinese* Converts Simplified Chinese characters to Traditional Chinese.
        ' * - Chinese locales only
        ' ** - Japanese locales only
        '****************************************************************************************

        Console.WriteLine("Example #1: 	StrConv(string1,conversion,LocalId) ")

        Dim strString1 As String = "Hello"


        ' Return Uppercase
        Console.WriteLine(StrConv(strString1, VbStrConv.Lowercase)) 'Returns hello
       

        'write blank line to make output easier to read
        Console.WriteLine()



        'Prevent console from closing before you press enter
        Console.ReadLine()

    End Sub


End Class
