﻿Imports System
Imports System.IO

' This example is from http://IdealProgrammer.com

Public Class clsBinaryFileReadRandom




    Sub Main()
        Dim prod As New Product

        'Find next available file number
        Dim file_num As Integer = FreeFile()

        'Open file in random mode so we can write the records 
        FileOpen(file_num, "Products.DAT", OpenMode.Random, _
             OpenAccess.ReadWrite, OpenShare.Shared, _
             Len(prod))

        'Write the records
        Try
            FilePut(file_num, New Product(1, "My Little Red Reader", "Book"))
            FilePut(file_num, New Product(2, "2001", "Video"))
            FilePut(file_num, New Product(3, "Dell Laptop", "Computer"))
            FilePut(file_num, New Product(4, "Toyota", "Car"))
            FilePut(file_num, New Product(5, "Cat", "Pet"))
            FilePut(file_num, New Product(6, "Carrots", "Food"))

        Catch fileException As FileNotFoundException
            Console.WriteLine("File Does Not Exits")
        Catch formattingException As FormatException
            Console.WriteLine("Invalid Format")


        End Try


        'Read the records
        Dim myProd As ValueType = DirectCast(prod, ValueType)
        For i = 6 To 1 Step -2
            FileGet(file_num, myProd, i)
            prod = DirectCast(myProd, Product)
            Console.WriteLine(prod.ToString())
        Next i

        ' Close the file.
        Try
            FileClose(file_num)
        Catch e As IOException
            Console.WriteLine("Cannot close file")
        End Try


        'pause the console window
        Console.ReadLine()
    End Sub
End Class

Public Structure Product
    Public ID As Integer
    <VBFixedString(25)> Public ProductName As String
    <VBFixedString(25)> Public ProductType As String

    Public Sub New(ByVal new_id As Integer, ByVal product_name As String, _
     ByVal product_type As String)
        ID = new_id
        ProductName = product_name
        ProductType = product_type
    End Sub

    Public Overrides Function ToString() As String
        Return ID & ": " & ProductName & " " & ProductType
    End Function
End Structure




