﻿Imports System.IO
Imports System.Collections
Imports System.Runtime.Serialization.Formatters.Binary
Imports System.Runtime.Serialization

Public Class clsBinaryFileReadSequential



    Public Sub Main()
        Dim formatter As BinaryFormatter = New BinaryFormatter()
        Dim output As FileStream

        Dim fileName As String = "books.dat"



        Try
            output = New FileStream(fileName, FileMode.OpenOrCreate, FileAccess.Write)

            Dim Book As Book = New Book(1, "The Republic", "Plato")

            formatter.Serialize(output, Book)

            Book = New Book(2, "Romeo & Juliet", "Shakespeare")

            formatter.Serialize(output, Book)

            Book = New Book(3, "The Symposium", "Plato")

            formatter.Serialize(output, Book)

            output.Close()

        Catch fileException As FileNotFoundException
            Console.WriteLine("File Does Not Exits")
        Catch serializableException As SerializationException
            Console.WriteLine("Error Writing to File")
        Catch formattingException As FormatException
            Console.WriteLine("Invalid Format")
        Catch e As IOException
            Console.WriteLine("Cannot close file")

        End Try



        Dim input As FileStream

        Dim reader As BinaryFormatter = New BinaryFormatter()

        input = New FileStream(fileName, FileMode.Open, FileAccess.Read)
        Dim intFileLength As Integer = input.Length




        While input.Position < intFileLength
            Try
                Dim myBook As Book = CType(reader.Deserialize(input), Book)

                Console.WriteLine(myBook)
            Catch serializableException As SerializationException


                Console.WriteLine("Serialization Exception")
            End Try

        End While








        input.Close()

        Console.WriteLine("No more records in file")


        Console.ReadLine()
    End Sub

End Class




<Serializable()> Public Structure Book
    Public ID As Integer
    <VBFixedString(25)> Public BookName As String
    <VBFixedString(25)> Public BookAuthor As String

    Public Sub New(ByVal new_id As Integer, ByVal Book_name As String, _
     ByVal Book_author As String)
        ID = new_id
        BookName = Book_name
        BookAuthor = Book_author
    End Sub

    Public Overrides Function ToString() As String
        Return ID & ": " & BookName & " " & BookAuthor
    End Function
End Structure




