﻿Public Class clsCDec

    Public Sub Main()


        '****************************************************************************************
        ' Purpose: Converts positive and negative numbers into decimal data type
        '
        ' Syntax: 	CDec(expression)
        '
        ' Parameter1: expression - +/-79,228,162,514,264,337,593,543,950,335 for zero-scaled numbers, i.e., 
        ' numbers with no decimal places. For numbers with 28 decimal places,
        ' the range is +/-7.9228162514264337593543950335. The smallest possible non-zero 
        ' number is 0.0000000000000000000000000001 (+/-1E-28).
        '
        ' Result: decimal - returns decimal
        '
        '
        '****************************************************************************************
        ' This example is from http://idealprogrammer.com

        Console.WriteLine("Example #1: 	CDec(expression)")

        Dim decimal1 As Decimal = CDec(1.33)

        Console.WriteLine(decimal1) ' Returns 1.33

        'write blank line to make output easier to read
        Console.WriteLine()

        Console.WriteLine("Example #2: 	CDec(expression)")

        Dim decimal2 As Decimal = CDec(-3.4)

        Console.WriteLine(decimal2) ' Returns -3.4
        'write blank line to make output easier to read
        Console.WriteLine()

        Console.WriteLine("Example #3: 	CDec(expression)")

        Dim Decimal3 As Decimal = CDec(5)

        Console.WriteLine(CDec(Decimal3)) ' Returns 5

        'Prevent console from closing before you press enter
        Console.ReadLine()

    End Sub

End Class

