﻿Public Class clsCSByte

    Public Sub Main()


        '*****************************************************************************************
        ' Purpose: Converts positive and negative numbers into SByte data type
        '
        ' Syntax: 	CSByte(expression)
        '
        ' Parameter1: expression - -128 through 127; fractional parts are rounded.
        '
        ' Result: SByte - Signed Byte
        '
        '
        '****************************************************************************************
        ' This example is from http://idealprogrammer.com

        Console.WriteLine("Example #1: 	CSByte(expression)")

        Dim Long1 As Long = CSByte(1.33)

        Console.WriteLine(Long1) ' Returns 1

        'write blank line to make output easier to read
        Console.WriteLine()

        Console.WriteLine("Example #2: 	CSByte(expression)")

        Dim Long2 As Long = CSByte(-3.4)

        Console.WriteLine(Long2) ' Returns -3
        'write blank line to make output easier to read
        Console.WriteLine()

        Console.WriteLine("Example #3: 	CSByte(expression)")

        Dim Long3 As Long = CSByte(5.5)

        Console.WriteLine(CSByte(Long3)) ' Returns 6

        'Prevent console from closing before you press enter
        Console.ReadLine()

    End Sub

End Class

