﻿Public Class clsCShort

    Public Sub Main()


        '*****************************************************************************************
        ' Purpose: Converts positive and negative numbers into Short data type
        ' 
        ' Syntax: 	CShort(expression)
        '  
        ' Parameter1: expression - -32,768 through 32,767; fractional parts are rounded
        '
        ' Result: Short - signed 16-bit (2-byte) integers 
        '
        '
        '****************************************************************************************
        ' This example is from http://idealprogrammer.com

        Console.WriteLine("Example #1: 	CShort(expression)")

        Dim Short1 As Short = CShort(1.33)

        Console.WriteLine(Short1) ' Returns 1

        'write blank line to make output easier to read
        Console.WriteLine()

        Console.WriteLine("Example #2: 	CShort(expression)")

        Dim Short2 As Short = CShort(-3.4)

        Console.WriteLine(Short2) ' Returns -3
        'write blank line to make output easier to read
        Console.WriteLine()

        Console.WriteLine("Example #3: 	CShort(expression)")

        Dim Short3 As Short = CShort(5.5)

        Console.WriteLine(CShort(Short3)) ' Returns 6

        'Prevent console from closing before you press enter
        Console.ReadLine()

    End Sub

End Class

