﻿Public Class clsCSng

    Public Sub Main()


        '*****************************************************************************************
        ' Purpose: Converts positive and negative numbers into Single data type
        ' 
        ' Syntax: 	CSng(expression)
        ' 
        ' Parameter1: expression -  -3.402823E+38 through -1.401298E-45 for negative values; 1.401298E-45 
        ' through 3.402823E+38 for positive values
        '
        ' Result: Single - 32-bit (4-byte) single-precision floating-point numbers  
        '
        '
        '****************************************************************************************
        ' This example is from http://idealprogrammer.com

        Console.WriteLine("Example #1: 	CSng(expression)")

        Dim Single1 As Single = CSng(1.33)

        Console.WriteLine(Single1) ' Returns 1.33

        'write blank line to make output easier to read
        Console.WriteLine()

        Console.WriteLine("Example #2: 	CSng(expression)")

        Dim Single2 As Single = CSng(-3.4)

        Console.WriteLine(Single2) ' Returns -3.4
        'write blank line to make output easier to read
        Console.WriteLine()

        Console.WriteLine("Example #3: 	CSng(expression)")

        Dim Single3 As Single = CSng(5.5)

        Console.WriteLine(CSng(Single3)) ' Returns 5.5

        'Prevent console from closing before you press enter
        Console.ReadLine()

    End Sub

End Class

