﻿Public Class clsCStr

    Public Sub Main()


        '*****************************************************************************************
        ' Purpose: Converts boolean, date, and numeric data types into String data type
        ' 
        ' Syntax: 	CStr(expression)
        '  
        ' Parameter1: expression - boolean, date, and numeric data types
        '
        ' Result: String - 1. If boolean, returns string "True" or "False" 
        ' 2. If date, returns A string containing a date value (date and time) in the short date 
        ' format of your system
        ' 3. If number, returns a string representing the number
        '
        '****************************************************************************************
        ' This example is from http://idealprogrammer.com

        Console.WriteLine("Example #1: 	CStr(expression) - boolean")
        Dim myBool As Boolean = True
        Dim String1 As String = CStr(myBool)

        Console.WriteLine(String1) ' Returns "True"

        'write blank line to make output easier to read
        Console.WriteLine()

        Console.WriteLine("Example #2: 	CStr(expression) - date")
        Dim myDate As Date = "10/21/2011"
        Dim String2 As String = CStr(myDate)

        Console.WriteLine(String2) ' Returns 10/21/2011
        'write blank line to make output easier to read
        Console.WriteLine()

        Console.WriteLine("Example #3: 	CStr(expression) - number")

        Dim String3 As String = CStr(5.5)

        Console.WriteLine(CStr(String3)) ' Returns 5.5

        'Prevent console from closing before you press enter
        Console.ReadLine()

    End Sub

End Class

