﻿Public Class clsCUInt

    Public Sub Main()


        '********************************************************************************
        ' Purpose: Converts numbers into UInteger data type - UInteger data type is a 
        ' 32-bit (4-byte) unsigned integer that can hold values from 0 to about 4
        ' billion (4,294,967,295). Rounds fractions to whole numbers
        ' 
        ' Syntax: 	CUInt(expression)
        '  
        ' Parameter1: expression -  0 to 4,294,967,295 - will throw exception if negative number is passed in. 
        ' Rounds fractions to whole numbers
        '
        ' Result: UInteger - 32-bit (4-byte) unsigned integer
        '
        '
        '********************************************************************************
        ' This example is from http://idealprogrammer.com

        Console.WriteLine("Example #1: 	CUInt(expression)")

        Dim UInteger1 As UInteger = CUInt(1.33)

        Console.WriteLine(UInteger1) ' Returns 1

        'write blank line to make output easier to read
        Console.WriteLine()

        Console.WriteLine("Example #2: 	CUInt(expression)")

        Dim UInteger2 As UInteger = CUInt(3.4)

        Console.WriteLine(UInteger2) ' Returns 3
        'write blank line to make output easier to read
        Console.WriteLine()

        Console.WriteLine("Example #3: 	CUInt(expression)")

        Dim UInteger3 As UInteger = CUInt(5.5)

        Console.WriteLine(UInteger3) ' Returns 6

        'Prevent console from closing before you press enter
        Console.ReadLine()

    End Sub

End Class

