﻿Public Class clsCULng

    Public Sub Main()


        '********************************************************************************
        ' Purpose: Converts numbers into ULong data type - ULong data type is a
        ' 64-bit (8-byte) unsigned integer that can hold values from 0 to
        ' 18,446,744,073,709,551,615 (unsigned). Rounds fractions to whole numbers
        ' 
        ' Syntax: 	CULng(expression)
        '
        ' Parameter1: expression -   0 to 0 through 18,446,744,073,709,551,615 (unsigned) - will throw 
        ' Exception() if negative number is passed in.  Rounds fractions to whole numbers
        '
        ' Result: ULong - 64-bit (8-byte) unsigned integer
        '
        '
        '********************************************************************************
        ' This example is from http://idealprogrammer.com

        Console.WriteLine("Example #1: 	CULng(expression)")

        Dim ULong1 As ULong = CULng(1.33)

        Console.WriteLine(ULong1) ' Returns 1

        'write blank line to make output easier to read
        Console.WriteLine()

        Console.WriteLine("Example #2: 	CULng(expression)")

        Dim ULong2 As ULong = CULng(3.4)

        Console.WriteLine(ULong2) ' Returns 3
        'write blank line to make output easier to read
        Console.WriteLine()

        Console.WriteLine("Example #3: 	CULng(expression)")

        Dim ULong3 As ULong = CULng(5.5)

        Console.WriteLine(CULng(ULong3)) ' Returns 6

        'Prevent console from closing before you press enter
        Console.ReadLine()

    End Sub

End Class

