﻿Public Class clsCUShort

    Public Sub Main()


        '********************************************************************************
        ' Purpose: Converts numbers into UShort data type - UShort data type is a
        ' 16-bit (2-byte) unsigned integer that can hold values from 0 to
        ' 65,535 (unsigned). Rounds fractions to whole numbers
        ' 
        ' Syntax: 	CUShort(expression)
        ' 
        ' Parameter1: expression -  0 to 65,535 (unsigned) - will throw Exception if
        ' negative number is passed in.  Rounds fractions
        ' to whole numbers
        '
        ' Result: UShort - 16-bit (2-byte) unsigned integer
        '
        '
        '********************************************************************************
        ' This example is from http://idealprogrammer.com

        Console.WriteLine("Example #1: 	CUShort(expression)")

        Dim UShort1 As UShort = CUShort(1.33)

        Console.WriteLine(UShort1) ' Returns 1

        'write blank line to make output easier to read
        Console.WriteLine()

        Console.WriteLine("Example #2: 	CUShort(expression)")

        Dim UShort2 As UShort = CUShort(3.4)

        Console.WriteLine(UShort2) ' Returns 3
        'write blank line to make output easier to read
        Console.WriteLine()

        Console.WriteLine("Example #3: 	CUShort(expression)")

        Dim UShort3 As UShort = CUShort(5.5)

        Console.WriteLine(CUShort(UShort3)) ' Returns 6

        'Prevent console from closing before you press enter
        Console.ReadLine()

    End Sub

End Class

