﻿Imports System.Math
Public Class clsAbs

    Public Sub Main()


        '********************************************************************************
        ' Purpose: Returns the absolute value for the data type that was passed in.
        ' 
        ' 
        ' Syntax: 	Abs(expression)
        '  
        ' Parameter1: expression - 1. decimal - returns decimal number
        ' 2. double - returns double-percision floating point number 
        ' 3. int16 - returns 16-bit integer 
        ' 4. int32 - returns 32-bit integer 
        ' 5. int64 - returns 64-bit integer 
        ' 6. sbyte - returns 8-bit signed integer 
        ' 7. single - returns single-percision floating point number
        '
        ' Result: Depends on input -  1. decimal - when input is decimal
        ' 2. double - returns double-percision floating point number 
        ' 3. int16 - returns 16-bit integer 
        ' 4. int32 - returns 32-bit integer 
        ' 5. int64 - returns 64-bit integer 
        ' 6. sbyte - returns 8-bit signed integer 
        ' 7. single - returns single-percision floating point number
        '
        ' Quick Example: Abs(-3.4) ' Returns 3.4
        '
        '
        '********************************************************************************
        ' This example is from http://idealprogrammer.com

        Console.WriteLine("Example #1: 	Abs(1.33)")
        Dim decNumber As Decimal = 1.33

        Console.WriteLine(Abs(decNumber)) ' Returns 1.33

        'write blank line to make output easier to read
        Console.WriteLine()


        Console.WriteLine("Example #2: 	Abs(-3.4)")

        Dim douNumber As Double = -3.4

        Console.WriteLine(Abs(douNumber)) ' Returns 3.4
        'write blank line to make output easier to read
        Console.WriteLine()

        Console.WriteLine("Example #3: 	Abs(-0)")

        Dim Integer3 As Integer = Abs(-0)

        Console.WriteLine(Abs(-0)) ' Returns 0

        'Prevent console from closing before you press enter
        Console.ReadLine()

    End Sub

End Class

