﻿Imports System.Math
Public Class clsAtan

    Public Sub Main()


        '********************************************************************************
        ' Purpose: converts a tangent to radians of an angle. The function 
        ' takes a double data type number and returns a double value 
        ' that repesents the radians of the angle for that tangent. 
        ' (you can convert the radians to degrees by multiplying 
        ' them by Math.PI/180)
        ' 
        ' Syntax: 	Atan(double)
        '  
        ' Parameter1: double - The expression represents a tangent that 
        ' is to be converted into radians of an angle. 
        ' Any valid System.Double data type number between -1 and +1 
        ' if number < -1 or > 1, NaN is returned - NaN stands for Not a Number
        '
        ' Result: double - represents the radians of the angle of the 
        ' tangent that was specified as the input parameter.
        '
        ' Quick Example: Atan(90) ' Returns 1.55968567289729
        '
        '********************************************************************************
        ' This example is from http://idealprogrammer.com

        Console.WriteLine("Example #1: 	Atan(double)")

        Console.WriteLine(Atan(90)) ' Returns 1.55968567289729

        'write blank line to make output easier to read
        Console.WriteLine()

        Console.WriteLine("Example #2: 	Atan(double)")

        Console.WriteLine(Atan(-3.4)) ' Returns -1.28474488507758
        'write blank line to make output easier to read
        Console.WriteLine()

        Console.WriteLine("Example #3: 	Atan(double)")

        Dim Integer3 As Integer = Atan(-0)

        Console.WriteLine(Atan(-0)) ' Returns 0

        'Prevent console from closing before you press enter
        Console.ReadLine()

    End Sub

End Class

