﻿Imports System.Math
Public Class clsBigMul

    Public Sub Main()


        '********************************************************************************
        ' Purpose: takes 2 32-bit integer numbers and returns their full 
        ' product as a 64-bit integer
        '  
        ' Syntax: 	BigMul(int1 as Int32, int2 as Int32) 
        '
        ' Parameter1: int1 - Int32
        '
        ' Parameter2: int2 - Int32
        '
        ' Result: 64 bit integer - full product of 2 inputs
        '      
        ' Quick Example: BigMul(Int32.MaxValue,Int32.MaxValue) ' Returns 4611686014132420609
        '
        '********************************************************************************
        ' This example is from http://idealprogrammer.com

        Console.WriteLine("Example #1: BigMul(Int32.MaxValue,Int32.MaxValue)")
        Dim int1 As Int32 = Int32.MaxValue
        Dim int2 As Int32 = Int32.MaxValue
        Dim result As Int64 = 0
        result = BigMul(int1, int2)
        Console.WriteLine(result) ' Returns 4611686014132420609


       

        'Prevent console from closing before you press enter
        Console.ReadLine()

    End Sub

End Class

