﻿Imports System.Math
Public Class clsCosh

    Public Sub Main()


        '********************************************************************************
        ' Purpose: takes an angle specified in radians (to convert degrees to  
        ' radians multiply degrees by 180/Math.PI) and returns the hyperbolic
        ' cosine for the angle as a double data type.
        ' 
        ' Syntax: 	Cosh(doublenumber)
        '  
        ' Parameter1: doublenumber - double percision floating point 
        ' number representing an angle measured in radians. 
        '
        ' Result: double - represents the hyperbolic cosine of the angle 
        ' specified in parameter1. If parameter1 is 
        ' is equal to NegativeInfinity or PositiveInfinity, 
        ' PositiveInfinity is returned. If parameter1 
        ' is equal to NaN, NaN (Not a Number) is returned.
        '
        ' Quick Example: Cosh(90) ' Returns 6.1020164715892E+38
        '
        '********************************************************************************
        ' This example is from http://idealprogrammer.com

        Console.WriteLine("Example #1: 	Cosh(90)")

        Console.WriteLine(Cosh(90)) ' Returns 6.1020164715892E+38

        'write blank line to make output easier to read
        Console.WriteLine()

        Console.WriteLine("Example #2: 	Cosh(-3.4)")

        Console.WriteLine(Cosh(-3.4)) ' Returns 14.9987366586787
        'write blank line to make output easier to read
        Console.WriteLine()

        Console.WriteLine("Example #3: 	Cosh(-0)")

        Console.WriteLine(Cosh(-0)) ' Returns 1

        'Prevent console from closing before you press enter
        Console.ReadLine()

    End Sub

End Class

