﻿Imports System.Math
Public Class clsExp

    Public Sub Main()


        '********************************************************************************
        ' Purpose: takes a double data type number and returns a double value 
        ' containing e (the base of natural logarithms) raised to the specified power.
        ' 
        ' Syntax: 	Exp(doublenumber)
        '  
        ' Parameter1: doublenumber - a number specifying a power. 
        '
        ' Result: double - The number e raised to the power of 
        ' parameter1. If parameter1 equals NaN or 
        ' PositiveInfinity, that value is returned. 
        ' If parameter1 equals NegativeInfinity, 0 
        ' is returned.
        ' 
        ' Quick Example: Exp(90) ' Returns 1.22040329431784E+39
        '
        '********************************************************************************
        ' This example is from http://idealprogrammer.com

        Console.WriteLine("Example #1: 	Exp(90)")

        Console.WriteLine(Exp(90)) ' Returns 1.22040329431784E+39

        'write blank line to make output easier to read
        Console.WriteLine()

        Console.WriteLine("Example #2: 	Exp(-3.4)")

        Console.WriteLine(Exp(-3.4)) ' Returns -0.966798192579461
        'write blank line to make output easier to read
        Console.WriteLine()

        Console.WriteLine("Example #3: 	Exp(-0)")

        Dim Integer3 As Integer = Exp(-0)

        Console.WriteLine(Exp(-0)) ' Returns 1

        'Prevent console from closing before you press enter
        Console.ReadLine()

    End Sub

End Class

