﻿Imports System.Math
Public Class clsPow

    Public Sub Main()


        '********************************************************************************
        ' Purpose: takes two double data type numbers and raises the
        ' first number to the power of the second.  The result is
        ' returned as a double data type.
        '
        ' Syntax: 	Pow(doublenumberbase, doublenumberpower)
        '  
        ' Parameter1: doublenumberbase - Any valid System.Double data type number
        ' This is the number that will raised to the power 
        ' specified in the second parameter
        '
        ' Parameter2: doublenumberpower - Any valid System.Double data type number
        ' This is the number that used as the power 
        ' to be applied to the first parameter
        ' 
        ' Result: double - returns the first parameter raised to the power
        ' of the second input parameter
        '
        ' Quick Example: Pow(2,3) ' Returns 8
        '
        '********************************************************************************
        ' This example is from http://idealprogrammer.com

        Console.WriteLine("Example #1: 	Pow(doublenumberbase,doublenumberpower)")

        Console.WriteLine("Pow(2,3) = {0}", Pow(2, 3)) ' Returns 8

        'write blank line to make output easier to read
        Console.WriteLine()

        Console.WriteLine("Example #2: 	Pow(doublenumberbase,doublenumberpower)")

        Console.WriteLine("Pow(5,2) = {0}", Pow(5, 2)) ' Returns 25
        'write blank line to make output easier to read
        Console.WriteLine()

        Console.WriteLine("Example #3: 	Pow(doublenumberbase,doublenumberpower)")



        Console.WriteLine("Pow(7,1) = {0}", Pow(7, 1)) ' Returns 7

        'Prevent console from closing before you press enter
        Console.ReadLine()

    End Sub

End Class

