﻿Public Class clsEndsWith

    Public Sub Main()

        '****************************************************************************************
        ' Purpose: Returns a Boolean value that indicates if the string ends with the specified string.
        '
        ' Syntax: 	myString.EndsWith(endstring)
        '
        ' Parameter1: myString - string that you want to examine if it ends with endstring 
        '
        ' Parameter2: endstring - string you are looking for myString to end with
        '
        ' Result: boolean - returns true if myString ends with endstring; otherwise returns false
        '
        ' *********************************************************
        '
        ' Quick Example:   Dim strEndsWithExample As String = "This is a test string"
        '  Console.WriteLine(strEndsWithExample.EndsWith("string")) 'Returns True
        '
        '****************************************************************************************

        '****************************************************************************************
        ' Example #1: EndsWith(string)
        ' Returns a Boolean value that indicates if the string ends with the specified string. 
        '****************************************************************************************

        Console.WriteLine("Example #1: EndsWith(string) ")

        Dim strEndsWithExample As String = "This is a test string"

        Console.WriteLine(strEndsWithExample.EndsWith("string")) 'Returns True

        'write blank line to make output easier to read
        Console.WriteLine()

        'Prevent console from closing before you press enter
        Console.ReadLine()

    End Sub


End Class
